INSTALL(1)

NAME
install - copy files and set attributes

SYNOPSIS
install [OPTION]... SOURCE DEST (1st format)
install [OPTION]... SOURCE... DIRECTORY (2nd format)
install -d [OPTION]... DIRECTORY... (3rd format)

DESCRIPTION

In the first two formats, copy SOURCE to DEST or multiple SOURCE(s) to the existing DIRECTORY, while setting permission modes and owner/group. In the third format, create all components of the given DIRECTORY(ies).

-b, --backup
    make backup before removal

-c  (ignored)

-d, --directory
    treat all arguments as directory names; create all components of the specified directories

-D  create all leading components of DEST except the last, then copy SOURCE to DEST; useful in the 1st format

-g, --group=GROUP
    set group ownership, instead of process' current group

-m, --mode=MODE
    set permission mode (as in chmod), instead of rwxr-xr-x

-o, --owner=OWNER
    set ownership (super-user only)

-p, --preserve-timestamps
    apply access/modification times of SOURCE files to corresponding destination files

-s, --strip
    strip symbol tables, only for 1st and 2nd formats

-S, --suffix=SUFFIX
    override the usual backup suffix

--verbose
    print the name of each directory as it is created

-V, --version-control=WORD
    override the usual version control

--help
    display this help and exit

--version
    output version information and exit

The backup suffix is ~, unless set with SIMPLE_BACKUP_SUFFIX. The version control may be set with VERSION_CONTROL, values are:

t, numbered
    make numbered backups

nil, existing
    numbered if numbered backups exist, simple otherwise

never, simple
    always make simple backups

REPORTING BUGS
Report bugs to <bug-fileutils@gnu.org>.

SEE ALSO
The full documentation for install is maintained as a Texinfo manual. If the info and install programs are properly installed at your site, the command

    info install

should give you access to the complete manual.